package com.liquidnet.service.smile.entity.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author TT
 */
@Data
public class ShowBaseVoDto implements Serializable, Cloneable{

    /**
     * 名字
     */
    private String name;

    /**
     * 城市
     */
    private String city;

    /**
     * agentId
     */
    private String agentId;

    /**
     * 票提id
     */
    private String tid;


    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 真实付款金额
     */
    private BigDecimal priceReal;

    /**
     * 票提
     */
    private BigDecimal use;

    /**
     * 类型
     */
    private int type;

    /**
     * 张数
     */
    private BigDecimal number;

    /**
     *提成
     */
    private BigDecimal totalPrice;

    private static final ShowBaseVoDto obj = new ShowBaseVoDto();

    public static ShowBaseVoDto getNew() {
        try {
            return (ShowBaseVoDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new ShowBaseVoDto();
        }
    }
}
